using System;
using System.ComponentModel;

namespace ICustomDescriptorTest
{
	/// <summary>
	/// XPropDescriptor ժҪ˵
	/// </summary>
	public class XPropDescriptor:PropertyDescriptor
	{
		private XProp theProp;
		public override Type ComponentType
		{
			get
			{
				return this.GetType();
			}
		}
		public override bool IsReadOnly
		{
			get
			{
				return false;
			}
		}
		public override Type PropertyType
		{
			get
			{
				return this.theProp.Value.GetType();
			}
		}
		public XPropDescriptor(XProp prop, Attribute[] attrs) : base(prop.Name, attrs)
		{
			this.theProp = prop;
		}
		public override bool CanResetValue(object component)
		{
			return false;
		}
		public override object GetValue(object component)
		{
			return this.theProp.Value;
		}
		public override void ResetValue(object component)
		{
		}
		public override void SetValue(object component, object value)
		{
			this.theProp.Value = value;
		}
		public override bool ShouldSerializeValue(object component)
		{
			return false;
		}

	}
}
