using System;
using System.Collections;
using System.ComponentModel;
using System.Text;

namespace ICustomDescriptorTest
{
	/// <summary>
	/// XProps ժҪ˵
	/// </summary>
	public class XProps:CollectionBase,ICustomTypeDescriptor
	{
		public XProps()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
		}
		#region IListʵ
		public int Add(XProp prop)
		{
			return base.List.Add(prop);
		}
		public XProp FindXProp(string name)
		{
			name = name.Trim().ToLower();
			foreach (XProp prop in base.List)
			{
				if (prop.Name.ToLower() == name)
				{
					return prop;
				}
			}
			return null;
		}
		public void Insert(int index, XProp prop)
		{
			base.List.Insert(index, prop);
		}
		public void Remove(XProp prop)
		{
			base.List.Remove(prop);
		}
		public XProp this[int index]
		{
			get
			{
				return (XProp) base.List[index];
			}
			set
			{
				base.List[index] = value;
			}
		}
		#endregion

		#region ICustomTypeDescriptorʵ
		public AttributeCollection GetAttributes()
		{
			return TypeDescriptor.GetAttributes(this, true);
		}
		public string GetClassName()
		{
			return TypeDescriptor.GetClassName(this, true);
		}
		public string GetComponentName()
		{
			return TypeDescriptor.GetClassName(this, true);
		}

		public TypeConverter GetConverter()
		{
			return TypeDescriptor.GetConverter(this, true);
		}
		public EventDescriptor GetDefaultEvent()
		{
			return TypeDescriptor.GetDefaultEvent(this, true);
		}
		public PropertyDescriptor GetDefaultProperty()
		{
			return TypeDescriptor.GetDefaultProperty(this, true);
		}
		public object GetEditor(Type editorBaseType)
		{
			return TypeDescriptor.GetEditor(this, editorBaseType, true);
		}
		public EventDescriptorCollection GetEvents()
		{
			return TypeDescriptor.GetEvents(this, true);
		}
		public EventDescriptorCollection GetEvents(Attribute[] attributes)
		{
			return TypeDescriptor.GetEvents(this, attributes, true);
		}
		public PropertyDescriptorCollection GetProperties()
		{
			return TypeDescriptor.GetProperties(this, true);
		}
		public PropertyDescriptorCollection GetProperties(Attribute[] attributes)
		{
			PropertyDescriptor[] props = new PropertyDescriptor[this.Count + 1];
			int count = this.Count - 1;
			for (int i = 0; i <= count; i++)
			{
				props[i] = new XPropDescriptor(this[i], attributes);
			}
			return new PropertyDescriptorCollection(props);
		}
		public object GetPropertyOwner(PropertyDescriptor pd)
		{
			return this;
		}
		#endregion
		public override string ToString()
		{
			StringBuilder sbld = new StringBuilder();
			int count = this.Count - 1;
			for (int i = 0; i <= count; i++)
			{
				sbld.Append("[" + i + "] " + this[i].ToString() + "\r\n");
			}
			return sbld.ToString();
		}

	}
}
